# Cinder

# cinder::qtime Namespace Reference

## Classes
class | MovieBase
class | MovieSurface
class | MovieGl
| QuickTime movie playback as OpenGL textures Textures are always bound to the `GL_TEXTURE_RECTANGLE_ARB` target. More...
class | MovieLoader
class | QuickTimeExc
class | QuickTimePathInvalidExc
class | QuickTimeFileInvalidExc
class | QuickTimeExcUrlInvalid
class | QuickTimeErrorLoadingExc
class | QuickTimeExcFft
## Functions
int32_t | getQuickTimeVersion ()
| Returns 0 if QuickTime is not available, otherwise an integer encoding of the QuickTime version. QuickTime 6.4 returns `0x06408000`, (`0x00008000` suffix denotes a shipping release of QuickTime).
std::string | getQuickTimeVersionString ()
| Returns an empty string if QuickTime is not available, otherwise a human readable string of the QuickTime version. QuickTime 6.4 returns `"6.4"`.
void | quickTimeTask ()
| Gives QuickTime an opportunity to update all playing movies by calling `MoviesTask`. Generally only necessary when playing audio-only movies on Windows.
Surface8u | convertCVPixelBufferToSurface (CVPixelBufferRef pixelBufferRef)
| Makes a cinder::Surface form a CVPixelBufferRef, setting a proper deallocation function to free the CVPixelBufferRef upon the destruction of the Surface::Obj.
::Movie | openMovieFromUrl (const Url &url)
::Movie | openMovieFromPath (const std::string &path)
bool | dictionarySetValue (CFMutableDictionaryRef dict, CFStringRef key, SInt32 value)
bool | dictionarySetPixelBufferPixelFormatType (bool alpha, CFMutableDictionaryRef dict)
bool | dictionarySetPixelBufferSize (const unsigned int width, const unsigned int height, CFMutableDictionaryRef dict)
bool | dictionarySetPixelBufferBytesPerRowAlignment (CFMutableDictionaryRef dict)
void | dictionarySetPixelBufferOpenGLCompatibility (CFMutableDictionaryRef dict)
bool | dictionarySetPixelBufferOptions (unsigned int width, unsigned int height, bool alpha, CFMutableDictionaryRef *pixelBufferOptions)
CFMutableDictionaryRef | initQTVisualContextOptions (int width, int height, bool alpha)
::ItemCount | openMovieBaseProperties (QTNewMoviePropertyElement movieProps[10])
Handle | createPointerReferenceHandle (void *data, Size dataSize)
OSStatus | ptrDataRefAddFileNameExtension (ComponentInstance dataRefHandler, const string &fileName)
OSStatus | ptrDataRefAddMIMETypeExtension (ComponentInstance dataRefHandler, const std::string &mimeType)
Handle | createPointerDataRefWithExtensions (void *data, size_t dataSize, const string &fileName, const string &mimeType)
::Movie | openMovieFromMemory (const void *data, size_t dataSize, const string &fileNameHint, const string &mimeTypeHint)

## Function Documentation

int32_t cinder::qtime::getQuickTimeVersion | ( |  | ) |

Returns 0 if QuickTime is not available, otherwise an integer encoding of the QuickTime version. QuickTime 6.4 returns `0x06408000`, (`0x00008000` suffix denotes a shipping release of QuickTime).

std::string cinder::qtime::getQuickTimeVersionString | ( |  | ) |

Returns an empty string if QuickTime is not available, otherwise a human readable string of the QuickTime version. QuickTime 6.4 returns `"6.4"`.

void cinder::qtime::quickTimeTask | ( |  | ) |

Gives QuickTime an opportunity to update all playing movies by calling `MoviesTask`. Generally only necessary when playing audio-only movies on Windows.

Surface8u cinder::qtime::convertCVPixelBufferToSurface | ( | CVPixelBufferRef | pixelBufferRef | ) |

Makes a cinder::Surface form a CVPixelBufferRef, setting a proper deallocation function to free the CVPixelBufferRef upon the destruction of the Surface::Obj.

Movie cinder::qtime::openMovieFromUrl | ( | const Url & | url | ) |

Movie cinder::qtime::openMovieFromPath | ( | const std::string & | path | ) |

bool cinder::qtime::dictionarySetValue | ( | CFMutableDictionaryRef | dict,
|  | CFStringRef | key,
|  | SInt32 | value |
| ) |  |  |

bool cinder::qtime::dictionarySetPixelBufferPixelFormatType | ( | bool | alpha,
|  | CFMutableDictionaryRef | dict |
| ) |  |  |

bool cinder::qtime::dictionarySetPixelBufferSize | ( | const unsigned int | width,
|  | const unsigned int | height,
|  | CFMutableDictionaryRef | dict |
| ) |  |  |

bool cinder::qtime::dictionarySetPixelBufferBytesPerRowAlignment | ( | CFMutableDictionaryRef | dict | ) |

void cinder::qtime::dictionarySetPixelBufferOpenGLCompatibility | ( | CFMutableDictionaryRef | dict | ) |

bool cinder::qtime::dictionarySetPixelBufferOptions | ( | unsigned int | width,
|  | unsigned int | height,
|  | bool | alpha,
|  | CFMutableDictionaryRef * | pixelBufferOptions |
| ) |  |  |

CFMutableDictionaryRef cinder::qtime::initQTVisualContextOptions | ( | int | width,
|  | int | height,
|  | bool | alpha |
| ) |  |  |

::ItemCount cinder::qtime::openMovieBaseProperties | ( | QTNewMoviePropertyElement | movieProps[10] | ) |

Handle cinder::qtime::createPointerReferenceHandle | ( | void * | data,
|  | Size | dataSize |
| ) |  |  |

OSStatus cinder::qtime::ptrDataRefAddFileNameExtension | ( | ComponentInstance | dataRefHandler,
|  | const string & | fileName |
| ) |  |  |

OSStatus cinder::qtime::ptrDataRefAddMIMETypeExtension | ( | ComponentInstance | dataRefHandler,
|  | const std::string & | mimeType |
| ) |  |  |

Handle cinder::qtime::createPointerDataRefWithExtensions | ( | void * | data,
|  | size_t | dataSize,
|  | const string & | fileName,
|  | const string & | mimeType |
| ) |  |  |

::Movie cinder::qtime::openMovieFromMemory | ( | const void * | data,
|  | size_t | dataSize,
|  | const string & | fileNameHint,
|  | const string & | mimeTypeHint |
| ) |  |  |